RPONE(4)

NAME
rpone - Raspberry Pi RP1 peripheral controller

SYNOPSIS
rpone* at pci?
cad* at fdt?
xhci* at fdt?

DESCRIPTION
The rpone driver supports the Raspberry Pi RP1 peripheral controller that is used in the Raspberry Pi 5. The driver acts as a bridge between the PCIe bus and the peripherals and maps peripheral interrupts onto MSI-X interrupts. The peripherals themselves are supported by separate drivers.

SEE ALSO
cad(4), intro(4), xhci(4)

HISTORY
The rpone device driver first appeared in OpenBSD 7.8.

AUTHORS
-nosplit The rpone driver was written by Mark Kettenis <kettenis@openbsd.org>.